## ESourceOptionMenu

ESourceOptionMenu

## Synopsis

                        ESourceOptionMenu;
    GtkWidget *         e_source_option_menu_new            (ESourceList *list);
    ESource *           e_source_option_menu_peek_selected  (ESourceOptionMenu *menu);
    void                e_source_option_menu_select         (ESourceOptionMenu *menu,
                                                             ESource *source);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkButton
                                           +----GtkOptionMenu
                                                 +----ESourceOptionMenu

## Implemented Interfaces

ESourceOptionMenu implements GtkBuildable, AtkImplementorIface and GtkActivatable.

## Signals

      "source-selected"                                : Run Last

## Description

## Details

### ESourceOptionMenu

    typedef struct _ESourceOptionMenu ESourceOptionMenu;

### Warning

`ESourceOptionMenu` is deprecated and should not be used in newly-written code.

### e_source_option_menu_new ()

    GtkWidget *         e_source_option_menu_new            (ESourceList *list);

### Warning

`e_source_option_menu_new` is deprecated and should not be used in newly-written code.

Creates a new ESourceOptionMenu widget that lets the user pick an ESource from the provided ESourceList.

`list` : |
Returns : | A new ESourceOptionMenu.

### e_source_option_menu_peek_selected ()

    ESource *           e_source_option_menu_peek_selected  (ESourceOptionMenu *menu);

### Warning

`e_source_option_menu_peek_selected` is deprecated and should not be used in newly-written code.

`menu` : | an ESourceOptionMenu
Returns : | The selected ESource, or `NULL` if none was selected.

### e_source_option_menu_select ()

    void                e_source_option_menu_select         (ESourceOptionMenu *menu,
                                                             ESource *source);

### Warning

`e_source_option_menu_select` is deprecated and should not be used in newly-written code.

Programmatically selects a source in `menu`. `source` must be present in `menu`'s ESourceList.

`menu` : | an ESourceOptionMenu
`source` : | an ESource to select

## Signal Details

### The `"source-selected"` signal

    void                user_function                      (ESourceOptionMenu *esourceoptionmenu,
                                                            gpointer           arg1,
                                                            gpointer           user_data)              : Run Last

`esourceoptionmenu` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.